# Uses of Interface
org.eclipse.jdt.core.ICodeCompletionRequestor

Packages that use ICodeCompletionRequestor
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.core.eval
Provides support for the evaluation of code snippets in a scrapbook or inside the debugger.

## Uses of ICodeCompletionRequestor in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core with parameters of type ICodeCompletionRequestor
Modifier and Type
Method
Description
`void`
ICodeAssist.`codeComplete(int offset, ICodeCompletionRequestor requestor)`
Deprecated.
Use `ICodeAssist.codeComplete(int, ICompletionRequestor)` instead.

## Uses of ICodeCompletionRequestor in org.eclipse.jdt.core.eval

Methods in org.eclipse.jdt.core.eval with parameters of type ICodeCompletionRequestor
Modifier and Type
Method
Description
`void`
IEvaluationContext.`codeComplete(String codeSnippet, int position, ICodeCompletionRequestor requestor)`
Deprecated.
- use codeComplete(String, int, ICompletionRequestor) instead